codehaus


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[horizon] Error when clicking instance detailed view after upgrading from ussuri to victoria


Hello,

I am a little lost here. Hopefully some of you nice people could help me with this issue please. 

We had an Openstack Ussuri deployment on Ubuntu 20.04 and upgraded to Victoria Release via cloud_archive repository

Now when I click on any instance for a detailed view I get an error 500 with the following message:

==> /var/log/apache2/error.log <==
[Wed Nov 18 19:42:37.883040 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] /usr/lib/python3/dist-packages/django/contrib/staticfiles/templatetags/staticfiles.py:24: RemovedInDjango30Warning: {% load staticfiles %} is deprecated in favor of {% load static %}.
[Wed Nov 18 19:42:37.883091 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   warnings.warn(
[Wed Nov 18 19:42:37.886358 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] ERROR django.request Internal Server Error: /project/instances/25d58259-9d9d-4215-8fb6-521ff9a5befe/
[Wed Nov 18 19:42:37.886400 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] Traceback (most recent call last):
[Wed Nov 18 19:42:37.886407 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 829, in _resolve_lookup
[Wed Nov 18 19:42:37.886412 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     current = current[bit]
[Wed Nov 18 19:42:37.886416 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] TypeError: 'Server' object is not subscriptable
[Wed Nov 18 19:42:37.886421 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]
[Wed Nov 18 19:42:37.886425 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] During handling of the above exception, another exception occurred:
[Wed Nov 18 19:42:37.886430 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]
[Wed Nov 18 19:42:37.886456 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] Traceback (most recent call last):
[Wed Nov 18 19:42:37.886460 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/openstack_dashboard/api/base.py", line 139, in __getattribute__
[Wed Nov 18 19:42:37.886465 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return object.__getattribute__(self, attr)
[Wed Nov 18 19:42:37.886469 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] AttributeError: 'Server' object has no attribute 'OS-EXT-SRV-ATTR:instance_name'
[Wed Nov 18 19:42:37.886473 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]
[Wed Nov 18 19:42:37.886477 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] During handling of the above exception, another exception occurred:
[Wed Nov 18 19:42:37.886482 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]
[Wed Nov 18 19:42:37.886486 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] Traceback (most recent call last):
[Wed Nov 18 19:42:37.886501 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/core/handlers/exception.py", line 34, in inner
[Wed Nov 18 19:42:37.886647 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     response = get_response(request)
[Wed Nov 18 19:42:37.886651 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/core/handlers/base.py", line 145, in _get_response
[Wed Nov 18 19:42:37.886656 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     response = self.process_exception_by_middleware(e, request)
[Wed Nov 18 19:42:37.886661 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/core/handlers/base.py", line 143, in _get_response
[Wed Nov 18 19:42:37.886665 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     response = response.render()
[Wed Nov 18 19:42:37.886668 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/response.py", line 106, in render
[Wed Nov 18 19:42:37.886672 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     self.content = self.rendered_content
[Wed Nov 18 19:42:37.886676 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/response.py", line 83, in rendered_content
[Wed Nov 18 19:42:37.886680 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     content = template.render(context, self._request)
[Wed Nov 18 19:42:37.886684 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/backends/django.py", line 61, in render
[Wed Nov 18 19:42:37.886688 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.template.render(context)
[Wed Nov 18 19:42:37.886692 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 171, in render
[Wed Nov 18 19:42:37.886696 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self._render(context)
[Wed Nov 18 19:42:37.886700 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 163, in _render
[Wed Nov 18 19:42:37.886704 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.nodelist.render(context)
[Wed Nov 18 19:42:37.886708 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.886717 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.886721 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.886725 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.886730 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/loader_tags.py", line 150, in render
[Wed Nov 18 19:42:37.886863 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return compiled_parent._render(context)
[Wed Nov 18 19:42:37.886871 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 163, in _render
[Wed Nov 18 19:42:37.886875 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.nodelist.render(context)
[Wed Nov 18 19:42:37.886894 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.886898 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.886902 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.886906 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.886909 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/loader_tags.py", line 62, in render
[Wed Nov 18 19:42:37.886913 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     result = block.nodelist.render(context)
[Wed Nov 18 19:42:37.886917 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.886945 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.886973 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.886978 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.886982 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/loader_tags.py", line 62, in render
[Wed Nov 18 19:42:37.886986 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     result = block.nodelist.render(context)
[Wed Nov 18 19:42:37.886991 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.886996 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.887001 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.887006 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.887019 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 987, in render
[Wed Nov 18 19:42:37.887093 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     output = self.filter_expression.resolve(context)
[Wed Nov 18 19:42:37.887101 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 671, in resolve
[Wed Nov 18 19:42:37.887105 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     obj = self.var.resolve(context)
[Wed Nov 18 19:42:37.887109 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 796, in resolve
[Wed Nov 18 19:42:37.887113 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     value = self._resolve_lookup(context)
[Wed Nov 18 19:42:37.887117 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 858, in _resolve_lookup
[Wed Nov 18 19:42:37.887121 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     current = current()
[Wed Nov 18 19:42:37.887155 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/horizon/tabs/base.py", line 227, in render
[Wed Nov 18 19:42:37.887221 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return render_to_string(self.template_name, {"tab_group": self})
[Wed Nov 18 19:42:37.887236 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/loader.py", line 62, in render_to_string
[Wed Nov 18 19:42:37.887242 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return template.render(context, request)
[Wed Nov 18 19:42:37.887246 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/backends/django.py", line 61, in render
[Wed Nov 18 19:42:37.887250 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.template.render(context)
[Wed Nov 18 19:42:37.887254 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 171, in render
[Wed Nov 18 19:42:37.887258 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self._render(context)
[Wed Nov 18 19:42:37.887262 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 163, in _render
[Wed Nov 18 19:42:37.887267 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.nodelist.render(context)
[Wed Nov 18 19:42:37.887272 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.887276 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.887280 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.887284 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.887288 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/loader_tags.py", line 150, in render
[Wed Nov 18 19:42:37.887293 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return compiled_parent._render(context)
[Wed Nov 18 19:42:37.887297 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 163, in _render
[Wed Nov 18 19:42:37.887382 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.nodelist.render(context)
[Wed Nov 18 19:42:37.887395 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.887403 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.887407 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.887411 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.887415 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/defaulttags.py", line 513, in render
[Wed Nov 18 19:42:37.887425 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.nodelist.render(context)
[Wed Nov 18 19:42:37.887429 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.887434 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.887438 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.887443 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.887448 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/defaulttags.py", line 309, in render
[Wed Nov 18 19:42:37.887453 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return nodelist.render(context)
[Wed Nov 18 19:42:37.887458 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.887462 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.887467 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.887472 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.887478 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/defaulttags.py", line 209, in render
[Wed Nov 18 19:42:37.887483 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     nodelist.append(node.render_annotated(context))
[Wed Nov 18 19:42:37.887488 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.887493 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.887498 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 987, in render
[Wed Nov 18 19:42:37.887503 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     output = self.filter_expression.resolve(context)
[Wed Nov 18 19:42:37.887587 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 671, in resolve
[Wed Nov 18 19:42:37.887594 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     obj = self.var.resolve(context)
[Wed Nov 18 19:42:37.887598 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 796, in resolve
[Wed Nov 18 19:42:37.887602 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     value = self._resolve_lookup(context)
[Wed Nov 18 19:42:37.887606 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 858, in _resolve_lookup
[Wed Nov 18 19:42:37.887610 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     current = current()
[Wed Nov 18 19:42:37.887614 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/horizon/tabs/base.py", line 372, in render
[Wed Nov 18 19:42:37.887619 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return render_to_string(self.get_template_name(self.request), context)
[Wed Nov 18 19:42:37.887634 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/loader.py", line 62, in render_to_string
[Wed Nov 18 19:42:37.887638 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return template.render(context, request)
[Wed Nov 18 19:42:37.887642 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/backends/django.py", line 61, in render
[Wed Nov 18 19:42:37.887652 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.template.render(context)
[Wed Nov 18 19:42:37.887657 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 171, in render
[Wed Nov 18 19:42:37.887661 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self._render(context)
[Wed Nov 18 19:42:37.887665 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 163, in _render
[Wed Nov 18 19:42:37.887669 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.nodelist.render(context)
[Wed Nov 18 19:42:37.887673 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 937, in render
[Wed Nov 18 19:42:37.887678 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     bit = node.render_annotated(context)
[Wed Nov 18 19:42:37.887682 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 904, in render_annotated
[Wed Nov 18 19:42:37.887686 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.render(context)
[Wed Nov 18 19:42:37.887691 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/defaulttags.py", line 302, in render
[Wed Nov 18 19:42:37.887696 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     match = condition.eval(context)
[Wed Nov 18 19:42:37.887707 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/defaulttags.py", line 876, in eval
[Wed Nov 18 19:42:37.887711 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return self.value.resolve(context, ignore_failures=True)
[Wed Nov 18 19:42:37.887729 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 671, in resolve
[Wed Nov 18 19:42:37.887734 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     obj = self.var.resolve(context)
[Wed Nov 18 19:42:37.887739 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 796, in resolve
[Wed Nov 18 19:42:37.887744 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     value = self._resolve_lookup(context)
[Wed Nov 18 19:42:37.887748 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/django/template/base.py", line 837, in _resolve_lookup
[Wed Nov 18 19:42:37.887753 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     current = getattr(current, bit)
[Wed Nov 18 19:42:37.887758 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/openstack_dashboard/api/base.py", line 139, in __getattribute__
[Wed Nov 18 19:42:37.887763 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return object.__getattribute__(self, attr)
[Wed Nov 18 19:42:37.887767 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/openstack_dashboard/api/_nova.py", line 88, in has_extended_attrs
[Wed Nov 18 19:42:37.887772 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return any(getattr(self, attr) for attr in [
[Wed Nov 18 19:42:37.887777 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/openstack_dashboard/api/_nova.py", line 88, in <genexpr>
[Wed Nov 18 19:42:37.887782 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return any(getattr(self, attr) for attr in [
[Wed Nov 18 19:42:37.887786 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/openstack_dashboard/api/base.py", line 144, in __getattribute__
[Wed Nov 18 19:42:37.887791 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     return getattr(self._apiresource, attr)
[Wed Nov 18 19:42:37.887795 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]   File "/usr/lib/python3/dist-packages/novaclient/base.py", line 176, in __getattr__
[Wed Nov 18 19:42:37.887800 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070]     raise AttributeError(k)
[Wed Nov 18 19:42:37.887805 2020] [wsgi:error] [pid 846:tid 140680051717888] [remote 131.169.5.116:50070] AttributeError: OS-EXT-SRV-ATTR:instance_name


Thanks in advance,

Stefan Bujack